<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');
$formname = "Total Cartons Register";
$ttl = $formname;
$maindb = "salemain";
$trandb = "saletran";
$file = "cartreg.php";


$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$invno = $_POST["invno"];
$party = $_POST["party"];
$item = $_POST["item"];
$prodtype = $_POST["prodtype"];
$dtype = $_POST["dtype"];
$scope = $_POST["scope"];
$printnar = $_POST["prna"];
$gstperc = $_POST["gstperc"];
$city = $_POST["city"];
$state = $_POST["state"];
$broadcast = $_POST["broadcast"];


$dtypecond = "";
$mscopecond = "";
$itemcond = "";
$gstcond = "";
$prodtypecond = "";
$citycond = "";
$statecond = "";
$broadcastcond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);




if (!empty($party)) {
    $partycond = " AND a.`party`='$party' ";
}

if (!empty($broadcast)) {
    $broadcastcond = " AND b.`website` LIKE '%$broadcast%' ";
}
if (!empty($state)) {
    $statecond = " AND b.`state` = '$state' ";
}
if (!empty($city)) {
    $citycond = " AND b.`city` LIKE '%$city%' ";
}

if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    header("refresh:1; cartreg.php");
}
if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    header("refresh:1; cartreg.php");
}

$getpmain = mysqli_query($conn, "SELECT a.*,SUM(a.packkg) as totpack , b.name FROM `$maindb` a, accmast b where
                           a.`vouchdt` >= '$mfrmdate' AND a.`vouchdt` <= '$mtodate' and a.party = b.accode $partycond  $itemcond 
                            $salemcond $prodtypecond $gstcond $broadcastcond $statecond $citycond GROUP BY a.party having totpack > 0 ORDER BY b.name") or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }

        .dtype {
            background-color: #cccccc;
        }
    </style>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <th width='50%'>Party</th>
                                <th width='11%' class="text-right">Total Cartons</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = $tcarttot = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                //                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
                                //                                $supp = mysqli_fetch_array($getsupp);
                                $partycode = $pmain['party'];
                                $partyname = $pmain['name'];
                                $totpack = $pmain['totpack'];


                                $ctr++;
                                echo "<tr id='boldfont'>";
                                echo "<td>$ctr</td>";
                                echo "<td>$partyname</td>";
                                echo "<td class='text-right'>$totpack</td>";
                                echo "</tr>";

                                $tcarttot = $tcarttot + $totpack;

                                if ($_POST["dtype"] == 2) {

                                    echo "<tr style='height:10px;'>";
                                    echo "<td colspan='25'>";
                                    echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    echo "<th width='5%;' style='color: darkslategray;'class='dtype' >Sr</th>";
                                    echo "<th width='8%;' style='color: darkslategray;' class='dtype''>Date</th>";
                                    echo "<th width='8%;' style='color: darkslategray;'class='dtype'>Inv No</th>";
                                    echo "<th width='8%;' style='color: darkslategray;' class='dtype'>No.Of Cartons</th>";
                                    echo "<th width='8%;' style='color: darkslategray;' class='dtype text-right'>NetAmt</th>";
                                    echo "<tr>";

                                    $ctr2 = 0;
                                    $totqty = $totamt = 0;


                                    $gettran = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE party = '$partycode' and `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' ORDER BY vouchdt") or die(mysqli_error($conn));

                                    while ($tran = mysqli_fetch_array($gettran)) {


                                        $ctr2++;
                                        $mydt = $tran["mydt"];

                                        echo "<tr>";
                                        echo "<td>$ctr2</td>";
                                        echo "<td>$tran[mydt]</td>";
                                        echo "<td>$tran[invno]</td>";
                                        echo "<td class='text-right'>$tran[packkg]</td>";
                                        echo "<td class='numeric text-right'>$tran[netamt]</td>";
                                        echo "</tr>";

                                        $totqty = $totqty + $tran["packkg"];
                                        $totamt = $totamt + $tran["netamt"];
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totamt</b></h5></td>";
                                    echo "</tr>";

                                    echo "</table>";
                                    echo "</td>";
                                }
                            }

                            $colr = "green";
                            echo "<tr> ";
                            echo "<td colspan='2' align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tcarttot</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}


if (isset($_POST["excel"])) {


    $contents .= "Sr,Inv.No,Date,Supplier,Amount,Discount,Total Amount,Round Off,Packing,Bill.Amt\n";

    $ctr = 0;
    $ttotamt = 0;
    $totpack = 0;
    $totbill = 0;
    $totitmpr = 0;
    $totdisc = 0;
    $tottaxamt = 0;
    $totcgst = 0;
    $totsgst = 0;
    $totigst = 0;
    $totroundoff = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        //        $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        //        $supp = mysqli_fetch_array($getsupp);

        $ctr++;
        $contents .= $ctr . ",";
        $contents .= $pmain['invno'] . ",";
        $contents .= $pmain['mydt'] . ",";
        $contents .= $pmain['name'] . ",";
        $contents .= $pmain['subtotal'] . ",";
        $contents .= $pmain['lesother'] . ",";
        $contents .= $pmain['totalamount'] . ",";
        $contents .= $pmain['roundoff'] . ",";
        $contents .= $pmain['packamt'] . ",";
        $contents .= $pmain['netamt'] . "\n";

        $ttotamt = $ttotamt + $pmain['subtotal'];
        $totitmpr = $totitmpr + $pmain['lesother'];
        $totpack = $totpack + $pmain['packamt'];
        $tottaxamt = $tottaxamt + $pmain['totalamount'];
        $totroundoff = $totroundoff + $pmain['roundoff'];
        $totbill = $totbill + $pmain['netamt'];

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr,Barcode,Itemname,Qty,Rate,Amount\n";


            $ctr2 = 0;
            $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno` = '$pmain[vouchno]'") or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`, `name` FROM `item` WHERE `code` = '$tran[item]'") or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $getunit = mysqli_query($conn, "SELECT `code`, `name` FROM `color` WHERE `code` = '$tran[color]'") or die(mysqli_error($conn));
                $unit = mysqli_fetch_array($getunit);

                $ctr2++;
                $contents .= $ctr2 . ",";
                $contents .= $tran['barcode'] . ",";
                $contents .= $item['name'] . ",";
                $contents .= $unit['name'] . ",";
                $contents .= $tran['qty'] . ",";
                $contents .= $tran['rate'] . ",";
                $contents .= $tran['amount'] . "\n";


                $totamt = $totamt + $tran['amount'];
                $totqty = $totqty + $tran['qty'];
            }


            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= 'Total' . ",";
            $contents .= $totqty . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= $totamt . "\n";
        }
    }

    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= 'Grand Total' . ",";
    $contents .= $ttotamt . ",";
    $contents .= $totitmpr . ",";
    $contents .= $tottaxamt . ",";
    $contents .= $totroundoff . ",";
    $contents .= $totpack . ",";
    $contents .= $totbill . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>